Loading...
Searching...
No Matches
TopologyDescriptor Struct Reference

A simple reference to raw topology data for use with TopologyRefinerFactory. More...

`#include <topologyDescriptor.h>`

## Classes

struct | FVarChannel

## Public Member Functions

| TopologyDescriptor ()

## Public Attributes

int | numVertices
int | numFaces
int const * | numVertsPerFace
Index const * | vertIndicesPerFace
int | numCreases
Index const * | creaseVertexIndexPairs
float const * | creaseWeights
int | numCorners
Index const * | cornerVertexIndices
float const * | cornerWeights
int | numHoles
Index const * | holeIndices
bool | isLeftHanded
int | numFVarChannels
FVarChannel const * | fvarChannels

## Detailed Description

A simple reference to raw topology data for use with TopologyRefinerFactory.

TopologyDescriptor is a simple struct containing references to raw topology data used to construct a TopologyRefiner. It is not a requirement but a convenience for use with TopologyRefinerFactory when mesh topology is not available in an existing mesh data structure. It should be functionally complete and simple to use, but for more demanding situations, writing a custom Factory is usually warranted.

Definition at line 49 of file topologyDescriptor.h.

## Constructor & Destructor Documentation

## TopologyDescriptor()

TopologyDescriptor | ( |  | ) |

## Member Data Documentation

## cornerVertexIndices

Index const* cornerVertexIndices

Definition at line 62 of file topologyDescriptor.h.

## cornerWeights

float const* cornerWeights

Definition at line 63 of file topologyDescriptor.h.

## creaseVertexIndexPairs

Index const* creaseVertexIndexPairs

Definition at line 58 of file topologyDescriptor.h.

## creaseWeights

float const* creaseWeights

Definition at line 59 of file topologyDescriptor.h.

## fvarChannels

FVarChannel const* fvarChannels

Definition at line 82 of file topologyDescriptor.h.

## holeIndices

Index const* holeIndices

Definition at line 66 of file topologyDescriptor.h.

## isLeftHanded

bool isLeftHanded

Definition at line 68 of file topologyDescriptor.h.

## numCorners

int numCorners

Definition at line 61 of file topologyDescriptor.h.

## numCreases

int numCreases

Definition at line 57 of file topologyDescriptor.h.

## numFaces

int numFaces

Definition at line 52 of file topologyDescriptor.h.

## numFVarChannels

int numFVarChannels

Definition at line 81 of file topologyDescriptor.h.

## numHoles

int numHoles

Definition at line 65 of file topologyDescriptor.h.

## numVertices

int numVertices

Definition at line 51 of file topologyDescriptor.h.

## numVertsPerFace

int const* numVertsPerFace

Definition at line 54 of file topologyDescriptor.h.

## vertIndicesPerFace

Index const* vertIndicesPerFace

Definition at line 55 of file topologyDescriptor.h.

The documentation for this struct was generated from the following file:

- opensubdiv/far/topologyDescriptor.h